# Lessons Learned
**N.B. Work in Progress**


## What is it?
Lessons learned is a simple app to manage records of, well, lessons that you've learned. Say in the course of (multiple) iterations on a software project, or many different projects, etc, etc.


## Status

  - FastAPI Backend
    - basic CRUD is working
    - authentication is working
    - data stored in sqlite
    - basic crud and auth tests are implemented

  - Frontend work has just started


## How is it implemented?

  - FastAPI backend
    - Tribute goes to the excellent [Ultimate FastAPI Tutorial](https://christophergs.com/tutorials/ultimate-fastapi-tutorial-pt-1-hello-world/) by [ChristopherGS](https://christophergs.com/)
  - React frontend

## Getting the source
```
git clone https://tildegit.org/cst/lessons_learned.git
```

## [Backend](./backend_fastapi/README.md)

## Frontend
  - Install
  ```
  cd frontend_react
  
  npm install

  ```
  
  - Run node server
  ```
  cd frontend_react
  
  npm start
  
  ```

  - Review the frontend: http://localhost:3000/
