from fastapi import APIRouter

from app.api.api_v1.endpoints import (
    lesson, 
    auth,
    root,
)


api_router = APIRouter()

api_router.include_router(lesson.router, prefix="/lesson", tags=["lessons"])
api_router.include_router(auth.router, prefix="/auth", tags=["auth"])
api_router.include_router(root.router, prefix="", tags=["root"])
