from sqlalchemy import create_engine

from sqlalchemy.orm import sessionmaker, Session

SQLALCHEMY_DATABASE_URI = "sqlite:///lessons_learned.db"

# Using absolute path will lead to e.g.
# pytest working with the same db as the app
# SQLALCHEMY_DATABASE_URI = "sqlite:////home/bachkata/Documents/projects/lessons_learned/lessons_learned.db"

engine = create_engine(
    SQLALCHEMY_DATABASE_URI,
    # required for sqlite
    connect_args={"check_same_thread": False},
)

SessionLocal = sessionmaker(
    autocommit=False,
    autoflush=False,
    bind=engine)
