#! /usr/bin/env bash

# Add pipenv dir to path
export PATH=$PATH:/home/${USER}/.local/bin

# Let the DB start
pipenv run python ./app/backend_pre_start.py

# Run migrations
pipenv run alembic upgrade head

# Create initial data in DB
pipenv run python ./app/initial_data.py
