import React from "react";

const Lesson = ({ lesson,  showLessonInfoModal }) => {
	return (
		lesson && (
			<>
				<div
					
					onClick={(e) => {showLessonInfoModal() ; e.stopPropagation()}} 
					className="flex flex-wrap items-end justify-between w-full transition duration-500 ease-in-out transform bg-black border-2 border-gray-600 rounded-lg hover:border-white mb-3"
				>
					<div className="w-full xl:w-1/1 md:w-1/1">
						<div className="relative flex flex-col h-full p-8 ">
							<h2 className="text-left mb-4 font-semibold tracking-widest text-white uppercase title-font">
								{lesson?.title}
							</h2>
							<h2 className="text-left items-center mb-2 text-lg font-normal tracking-wide text-white">
								{lesson?.content}
							</h2>
							<p className="text-center">{lesson?.tags}</p>	
						</div>
					</div>
					<div className="w-full xl:w-1/4 md:w-1/2 lg:ml-auto" style={{zindex: 10000}}>
					</div>
				</div>
			</>
		)
	);
};

export default Lesson;
